Loading...
Searching...
No Matches
Opm::Carfin Class Reference

## Classes

struct | cell_index

## Public Types

using | IsActive = std::function<bool(const std::size_t globalIdx)>
using | ActiveIdx = std::function<std::size_t(const std::size_t globalIdx)>

## Public Member Functions

| Carfin (const GridDims &gridDims, IsActive isActive, ActiveIdx activeIdx)
| Carfin (const GridDims &gridDims, IsActive isActive, ActiveIdx activeIdx, const std::string &name, int i1, int i2, int j1, int j2, int k1, int k2, int nx, int ny, int nz)
void | update (const DeckRecord &deckRecord)
void | reset ()
bool | isGlobal () const
std::size_t | size () const
std::size_t | getDim (std::size_t idim) const
const std::vector< cell_index > & | index_list () const
const std::vector< cell_index > & | global_index_list () const
bool | operator== (const Carfin &other) const
bool | equal (const Carfin &other) const
const std::string & | NAME () const
const std::string & | PARENT_NAME () const
int | I1 () const
int | I2 () const
int | J1 () const
int | J2 () const
int | K1 () const
int | K2 () const
int | NX () const
int | NY () const
int | NZ () const
std::size_t | num_parent_cells () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Grid/Carfin.hpp
- opm/input/eclipse/EclipseState/Grid/Carfin.cpp